import { API_ENDPOINTS, portalsService } from "@/lib/api";
import { useQuery } from "@tanstack/react-query";
import { useMemo } from "react";

export const useGetPortalsQuery = () => {
    const queryKey = useMemo(() => [API_ENDPOINTS.PORTALS.GET], []);
    return useQuery({
        queryKey,
        queryFn: () => portalsService.getPortals(),
    });
};